Update social event
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"location": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"maxAttendees": 123,
"enableWaitlist": true,
"allowMultiOptionRsvp": true,
"allowRsvpNotes": true,
"rsvpEnabled": true,
"ticketsEnabled": true,
"cost": 123,
"photoUrl": "<string>",
"isPublished": true,
"status": "<string>",
"questionnaireFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"questionnaireRequired": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
location: '<string>',
startTime: '2023-11-07T05:31:56Z',
endTime: '2023-11-07T05:31:56Z',
maxAttendees: 123,
enableWaitlist: true,
allowMultiOptionRsvp: true,
allowRsvpNotes: true,
rsvpEnabled: true,
ticketsEnabled: true,
cost: 123,
photoUrl: '<string>',
isPublished: true,
status: '<string>',
questionnaireFormId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
questionnaireRequired: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"location": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"maxAttendees": 123,
"enableWaitlist": True,
"allowMultiOptionRsvp": True,
"allowRsvpNotes": True,
"rsvpEnabled": True,
"ticketsEnabled": True,
"cost": 123,
"photoUrl": "<string>",
"isPublished": True,
"status": "<string>",
"questionnaireFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"questionnaireRequired": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"maxAttendees": 123,
"enableWaitlist": true,
"allowMultiOptionRsvp": true,
"allowRsvpNotes": true,
"rsvpEnabled": true,
"ticketsEnabled": true,
"cost": 123,
"photoUrl": "<string>",
"visibility": "<string>",
"inviteAccessMode": "<string>",
"isPublished": true,
"status": "<string>",
"questionnaireFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Social events
Update social event
Requires write:social-events.
PATCH
/
api
/
v1
/
marketing
/
social-events
/
{id}
Update social event
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"location": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"maxAttendees": 123,
"enableWaitlist": true,
"allowMultiOptionRsvp": true,
"allowRsvpNotes": true,
"rsvpEnabled": true,
"ticketsEnabled": true,
"cost": 123,
"photoUrl": "<string>",
"isPublished": true,
"status": "<string>",
"questionnaireFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"questionnaireRequired": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
location: '<string>',
startTime: '2023-11-07T05:31:56Z',
endTime: '2023-11-07T05:31:56Z',
maxAttendees: 123,
enableWaitlist: true,
allowMultiOptionRsvp: true,
allowRsvpNotes: true,
rsvpEnabled: true,
ticketsEnabled: true,
cost: 123,
photoUrl: '<string>',
isPublished: true,
status: '<string>',
questionnaireFormId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
questionnaireRequired: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"location": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"maxAttendees": 123,
"enableWaitlist": True,
"allowMultiOptionRsvp": True,
"allowRsvpNotes": True,
"rsvpEnabled": True,
"ticketsEnabled": True,
"cost": 123,
"photoUrl": "<string>",
"isPublished": True,
"status": "<string>",
"questionnaireFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"questionnaireRequired": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"maxAttendees": 123,
"enableWaitlist": true,
"allowMultiOptionRsvp": true,
"allowRsvpNotes": true,
"rsvpEnabled": true,
"ticketsEnabled": true,
"cost": 123,
"photoUrl": "<string>",
"visibility": "<string>",
"inviteAccessMode": "<string>",
"isPublished": true,
"status": "<string>",
"questionnaireFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Path Parameters
Body
application/json
Minimum string length:
1Available options:
public, customers_only, invite_only Available options:
link, customer_list Available options:
none, during_rsvp, after_rsvp Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I